apiVersion: security.istio.io/v1beta1
kind: AuthorizationPolicy
metadata:
  name: gateway-auth
  namespace: istio-system
spec:
  action: ALLOW
  rules:
    - to:
        - operation:
            methods:
              - POST
            paths:
              - /auth/token
    - to:
        - operation:
            paths:
              - /hello
      when:
        - key: 'request.auth.claims[roles]'
          values:
            - role1
    - to:
        - operation:
            paths:
              - /transfer
      when:
        - key: 'request.auth.claims[roles]'
          values:
            - role2
    - to:
        - operation:
            paths:
              - /world
      when:
        - key: 'request.auth.claims[iss]'
          values:
            - getiota.fr
  selector:
    matchLabels:
      istio: ingressgateway